#include <stdio.h>
#include <stdlib.h>
#include <time.h>
#include <tx_api.h>
#include <NAsntp.h>
#include <bsp_api.h>
#include "appconf.h"

void applicationTcpDown()
{
    static int ticksPassed = 0;
    ticksPassed++;
}

static volatile int	bSynchronized = 0;

static int	sntp_callback(int prev_time, int status)
{
	bSynchronized = 1;
	return NASNTP_SUCCESS;
}

void applicationStart()
{
	printf("sntp test program.\n");

	//	Set japanese time zone.
	NAinstallTimeZone(NASNTP_GMT_PLUS_9, NASNTP_GMT_PLUS_9, 0, 0);
	//	Connect to SNTP server.
	int	result = NAinstallSntpTime("133.100.9.2", 300, sntp_callback);
	if (result == NASNTP_SUCCESS)	{
		while (1)	{
			if (bSynchronized)	{
				time_t	cur_time;
				time(&cur_time);
				printf("ctime %s", ctime(&cur_time));
			}
			else	{
				printf("waiting...\n");
			}
			tx_thread_sleep(NABspTicksPerSecond);
		}
	}
	else	{
		printf("error : %d\n", result);
	}
}


